# create-unit-test

## Purpose

The `create-unit-test` command will create an unit test for the given base name.

## Examples

    grails create-unit-test book

## Description

Creates a unit test for the given base name. For example for a base name `book` an unit test called `BookTests` will be created in the `test/unit` directory.

An unit test differs from an integration test in that the Grails environment is not loaded for each test execution and it is left up to you to perform the appropriate Mocking using GroovyMock or a Mock library such as EasyMock

Refer to the section on Unit Testing of the user guide for information on unit vs. integration testing.

> Note that this command is merely for convenience and you can also create integration tests in your favourite text editor or IDE if you choose.

Usage:

    grails create-unit-test [name]

Fired Events:

- `CreatedFile` - When the unit test is created